import { Injectable } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { CapabilityRequest } from "../model/capability-request";
import { Capability } from "../model/capability";

@Injectable({
  providedIn: "root",
})
export class DataRetrieverService {
  constructor(private httpClient: HttpClient) {}

  getCapabilityRequest(id: number): Observable<CapabilityRequest> {
    const url = `capability/request/${id}`;
    return this.httpClient.get<CapabilityRequest>(url);
  }
  getCapability(name: string): Observable<Capability> {
    const url = `capability/${name}`;
    return this.httpClient.get<Capability>(url);
  }
}
